#!/bin/sh
NAME="phpeclipse"
VERSION=1.2.0
REV="1573"

echo "Exporting from SVN..."
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null
for m in \
		net.sourceforge.phpeclipse.debug.feature \
		net.sourceforge.phpeclipse.feature \
		net.sourceforge.phpeclipse.xdebug.feature \
		net.sourceforge.phpeclipse.core \
		net.sourceforge.phpeclipse.debug.core \
		net.sourceforge.phpeclipse.debug.ui \
		net.sourceforge.phpeclipse.externaltools \
		net.sourceforge.phpeclipse.help \
		net.sourceforge.phpeclipse.launching \
		net.sourceforge.phpeclipse.phphelp \
		net.sourceforge.phpeclipse.phpmanual.htmlparser \
		net.sourceforge.phpeclipse.phpmanual \
		net.sourceforge.phpeclipse.smarty.ui \
		net.sourceforge.phpeclipse.ui \
		net.sourceforge.phpeclipse.webbrowser \
		net.sourceforge.phpeclipse.xdebug.core \
		net.sourceforge.phpeclipse.xdebug.ui \
		net.sourceforge.phpeclipse.xml.core \
		net.sourceforge.phpeclipse.xml.ui \
		net.sourceforge.phpeclipse; do
	svn export -r $REV http://svn.phpeclipse.com/phpeclipse/trunk/$m
	if [ $? -eq 1 ]; then
		sleep 10
		svn export -r $REV http://svn.phpeclipse.com/phpeclipse/trunk/$m
		if [ $? -eq 1 ]; then 
			echo "ERROR: There was a problem checking out module: $m"
			exit 1
		fi
	fi 
done
popd >/dev/null

# jettison cvs gumph and empty files
find $NAME-$VERSION -name .cvs* | xargs rm 

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
